OAS Purchase to Pay
This OpenAPI specification defines a set of APIs for the exchange of the SETU Purchase to Pay V2 messages. SETU has created several standardized messages to facilitate the processes involved in ordering and selecting human resources, assigning the human resource using the assignment, and reporting time and expenses. This includes staffing orders, human resources, assignments, timecards and invoices. The APIs are designed to be implemented primarily by backoffice systems of both the staffing customer and the staffing supplier. This page provides documentation about the OpenAPI specification.
The APIs are organized into tags for easy navigation and include descriptions for each set of APIs. The available tags include Staffing Order, Human Resource, Assignment, Timecard, and Invoice, which include the API calls related to the different sets of SETU Purchase to Pay messages. Additionally, this API specification also provides tags for common processes that our encountered during the use of the Purchase to Pay messages. These processes include the creation, retrieval, update, and deletion of various resources necessary for the purchase-to-pay process.
The request body of each API call in the OpenAPI specification is based on versions of the standardized message structure developed by SETU, ensuring that the request and response data adhere to a common and standardized format. This facilitates interoperability and ease of use across different software systems. The request body is available in both JSON and XML formats. More information about the SETU standards can be found here.
Staffing Order is used by a staffing customer to request (an) employee(s) for an open position.
Submit a new staffing order (RFQ)
path Parameters
| id required | string |
header Parameters
| setuVersionId required | string Example: 2.0 Specification of the SETU standard version that is used as body message. |
| Content-Type required | string Enum: "application/json" "application/xml" Example: application/json |
Request Body schema:
Complete staffing order message as specified by SETU. A message may have multiple versions that can differ. This message contains the order type 'RFQ'.
required | object |
object | |
required | object |
| orderType required | string Enum: "Order" "RFQ" |
required | object |
Array of objects | |
object | |
object | |
object | |
| reasonOfChange | string |
| comments | string |
| customerSpecificRequirements | string <uri-reference> |
Responses
Request samples
- Payload
{- "documentId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}, - "personContacts": [
- {
- "name": {
- "formattedName": "string"
}, - "communication": {
- "phone": [
- {
- "formattedNumber": "string"
}
], - "email": [
- {
- "address": "string",
- "useCode": "Business"
}
]
}, - "roleCode": "string"
}
]
}, - "orderType": "Order",
- "positionProfile": {
- "positionId": {
- "value": "string"
}, - "positionTitle": "string",
- "positionTask": {
- "id": {
- "value": "string"
}, - "description": {
- "value": "string"
}
}, - "positionLocation": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "name": "string",
- "countryCode": {
- "value": "string"
}, - "city": "string",
- "postalCode": "string",
- "streetName": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "buildingAddition": "string"
}, - "requestedWorker": {
- "workerId": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "person": {
- "name": {
- "formattedName": "string",
- "legal": "string",
- "given": [
- "string"
], - "preferred": "string",
- "family": "string",
- "familyPrefix": "string",
- "formerFamily": "string",
- "formerFamilyPrefix": "string",
- "preferredSalutationCode": "string",
- "qualificationAffixCode": "string",
- "initials": "string"
}
}
}, - "positionOpenQuantity": 0,
- "positionOfferingTypes": {
- "value": "string"
}, - "positionQualifications": {
- "certifications": [
- {
- "name": "string",
- "descriptions": "string"
}
]
}, - "positionPeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}, - "workingPeriods": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "minimumWorkDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "maximumWorkDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}
}
], - "positionReason": "string",
- "shiftDescription": "string",
- "collectiveLabourAgreement": {
- "name": "string",
- "id": {
- "value": "string"
}
}
}, - "payRates": [
- {
- "id": {
- "value": "string"
}, - "rateType": "Allowance/Expense",
- "code": "string",
- "amount": {
- "value": 0,
- "currency": {
- "value": "string"
}
}, - "intervalCode": {
- "value": "Daily"
}, - "period": {
- "datePeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}
}, - "multiplier": 0,
- "toBeBilled": true,
- "toBePaid": true
}
], - "requestForQuotationDetails": {
- "multiVendorDistribution": true
}, - "resourceClassificationInclusion": {
- "department": {
- "name": "string",
- "code": "string"
}, - "costCenter": {
- "name": "string",
- "code": "string"
}, - "project": {
- "name": "string",
- "code": "string"
}, - "referenceNumber": "string"
}, - "staffingIds": {
- "previousOrderId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "requestForQuotationId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "quoteId": {
- "value": "string",
- "schemeAgencyId": "Supplier"
}, - "masterOrderId": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
]
}, - "reasonOfChange": "string",
- "comments": "string",
- "customerSpecificRequirements": "../dictionary"
}Retrieve information about an existing staffing order (RFQ)
path Parameters
| id required | string |
Responses
Response samples
- 200
{- "documentId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}, - "personContacts": [
- {
- "name": {
- "formattedName": "string"
}, - "communication": {
- "phone": [
- {
- "formattedNumber": "string"
}
], - "email": [
- {
- "address": "string",
- "useCode": "Business"
}
]
}, - "roleCode": "string"
}
]
}, - "orderType": "Order",
- "positionProfile": {
- "positionId": {
- "value": "string"
}, - "positionTitle": "string",
- "positionTask": {
- "id": {
- "value": "string"
}, - "description": {
- "value": "string"
}
}, - "positionLocation": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "name": "string",
- "countryCode": {
- "value": "string"
}, - "city": "string",
- "postalCode": "string",
- "streetName": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "buildingAddition": "string"
}, - "requestedWorker": {
- "workerId": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "person": {
- "name": {
- "formattedName": "string",
- "legal": "string",
- "given": [
- "string"
], - "preferred": "string",
- "family": "string",
- "familyPrefix": "string",
- "formerFamily": "string",
- "formerFamilyPrefix": "string",
- "preferredSalutationCode": "string",
- "qualificationAffixCode": "string",
- "initials": "string"
}
}
}, - "positionOpenQuantity": 0,
- "positionOfferingTypes": {
- "value": "string"
}, - "positionQualifications": {
- "certifications": [
- {
- "name": "string",
- "descriptions": "string"
}
]
}, - "positionPeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}, - "workingPeriods": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "minimumWorkDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "maximumWorkDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}
}
], - "positionReason": "string",
- "shiftDescription": "string",
- "collectiveLabourAgreement": {
- "name": "string",
- "id": {
- "value": "string"
}
}
}, - "payRates": [
- {
- "id": {
- "value": "string"
}, - "rateType": "Allowance/Expense",
- "code": "string",
- "amount": {
- "value": 0,
- "currency": {
- "value": "string"
}
}, - "intervalCode": {
- "value": "Daily"
}, - "period": {
- "datePeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}
}, - "multiplier": 0,
- "toBeBilled": true,
- "toBePaid": true
}
], - "requestForQuotationDetails": {
- "multiVendorDistribution": true
}, - "resourceClassificationInclusion": {
- "department": {
- "name": "string",
- "code": "string"
}, - "costCenter": {
- "name": "string",
- "code": "string"
}, - "project": {
- "name": "string",
- "code": "string"
}, - "referenceNumber": "string"
}, - "staffingIds": {
- "previousOrderId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "requestForQuotationId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "quoteId": {
- "value": "string",
- "schemeAgencyId": "Supplier"
}, - "masterOrderId": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
]
}, - "reasonOfChange": "string",
- "comments": "string",
- "customerSpecificRequirements": "../dictionary"
}Update an existing staffing order (RFQ)
path Parameters
| id required | string |
header Parameters
| setuVersionId required | string Example: 2.0 Specification of the SETU standard version that is used as body message. |
| Content-Type required | string Enum: "application/json" "application/xml" Example: application/json |
Request Body schema:
required | object |
object | |
required | object |
| orderType required | string Enum: "Order" "RFQ" |
required | object |
Array of objects | |
object | |
object | |
object | |
| reasonOfChange | string |
| comments | string |
| customerSpecificRequirements | string <uri-reference> |
Responses
Request samples
- Payload
{- "documentId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}, - "personContacts": [
- {
- "name": {
- "formattedName": "string"
}, - "communication": {
- "phone": [
- {
- "formattedNumber": "string"
}
], - "email": [
- {
- "address": "string",
- "useCode": "Business"
}
]
}, - "roleCode": "string"
}
]
}, - "orderType": "Order",
- "positionProfile": {
- "positionId": {
- "value": "string"
}, - "positionTitle": "string",
- "positionTask": {
- "id": {
- "value": "string"
}, - "description": {
- "value": "string"
}
}, - "positionLocation": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "name": "string",
- "countryCode": {
- "value": "string"
}, - "city": "string",
- "postalCode": "string",
- "streetName": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "buildingAddition": "string"
}, - "requestedWorker": {
- "workerId": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "person": {
- "name": {
- "formattedName": "string",
- "legal": "string",
- "given": [
- "string"
], - "preferred": "string",
- "family": "string",
- "familyPrefix": "string",
- "formerFamily": "string",
- "formerFamilyPrefix": "string",
- "preferredSalutationCode": "string",
- "qualificationAffixCode": "string",
- "initials": "string"
}
}
}, - "positionOpenQuantity": 0,
- "positionOfferingTypes": {
- "value": "string"
}, - "positionQualifications": {
- "certifications": [
- {
- "name": "string",
- "descriptions": "string"
}
]
}, - "positionPeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}, - "workingPeriods": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "minimumWorkDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "maximumWorkDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}
}
], - "positionReason": "string",
- "shiftDescription": "string",
- "collectiveLabourAgreement": {
- "name": "string",
- "id": {
- "value": "string"
}
}
}, - "payRates": [
- {
- "id": {
- "value": "string"
}, - "rateType": "Allowance/Expense",
- "code": "string",
- "amount": {
- "value": 0,
- "currency": {
- "value": "string"
}
}, - "intervalCode": {
- "value": "Daily"
}, - "period": {
- "datePeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}
}, - "multiplier": 0,
- "toBeBilled": true,
- "toBePaid": true
}
], - "requestForQuotationDetails": {
- "multiVendorDistribution": true
}, - "resourceClassificationInclusion": {
- "department": {
- "name": "string",
- "code": "string"
}, - "costCenter": {
- "name": "string",
- "code": "string"
}, - "project": {
- "name": "string",
- "code": "string"
}, - "referenceNumber": "string"
}, - "staffingIds": {
- "previousOrderId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "requestForQuotationId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "quoteId": {
- "value": "string",
- "schemeAgencyId": "Supplier"
}, - "masterOrderId": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
]
}, - "reasonOfChange": "string",
- "comments": "string",
- "customerSpecificRequirements": "../dictionary"
}Response samples
- 200
{- "documentId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}, - "personContacts": [
- {
- "name": {
- "formattedName": "string"
}, - "communication": {
- "phone": [
- {
- "formattedNumber": "string"
}
], - "email": [
- {
- "address": "string",
- "useCode": "Business"
}
]
}, - "roleCode": "string"
}
]
}, - "orderType": "Order",
- "positionProfile": {
- "positionId": {
- "value": "string"
}, - "positionTitle": "string",
- "positionTask": {
- "id": {
- "value": "string"
}, - "description": {
- "value": "string"
}
}, - "positionLocation": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "name": "string",
- "countryCode": {
- "value": "string"
}, - "city": "string",
- "postalCode": "string",
- "streetName": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "buildingAddition": "string"
}, - "requestedWorker": {
- "workerId": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "person": {
- "name": {
- "formattedName": "string",
- "legal": "string",
- "given": [
- "string"
], - "preferred": "string",
- "family": "string",
- "familyPrefix": "string",
- "formerFamily": "string",
- "formerFamilyPrefix": "string",
- "preferredSalutationCode": "string",
- "qualificationAffixCode": "string",
- "initials": "string"
}
}
}, - "positionOpenQuantity": 0,
- "positionOfferingTypes": {
- "value": "string"
}, - "positionQualifications": {
- "certifications": [
- {
- "name": "string",
- "descriptions": "string"
}
]
}, - "positionPeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}, - "workingPeriods": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "minimumWorkDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "maximumWorkDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}
}
], - "positionReason": "string",
- "shiftDescription": "string",
- "collectiveLabourAgreement": {
- "name": "string",
- "id": {
- "value": "string"
}
}
}, - "payRates": [
- {
- "id": {
- "value": "string"
}, - "rateType": "Allowance/Expense",
- "code": "string",
- "amount": {
- "value": 0,
- "currency": {
- "value": "string"
}
}, - "intervalCode": {
- "value": "Daily"
}, - "period": {
- "datePeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}
}, - "multiplier": 0,
- "toBeBilled": true,
- "toBePaid": true
}
], - "requestForQuotationDetails": {
- "multiVendorDistribution": true
}, - "resourceClassificationInclusion": {
- "department": {
- "name": "string",
- "code": "string"
}, - "costCenter": {
- "name": "string",
- "code": "string"
}, - "project": {
- "name": "string",
- "code": "string"
}, - "referenceNumber": "string"
}, - "staffingIds": {
- "previousOrderId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "requestForQuotationId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "quoteId": {
- "value": "string",
- "schemeAgencyId": "Supplier"
}, - "masterOrderId": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
]
}, - "reasonOfChange": "string",
- "comments": "string",
- "customerSpecificRequirements": "../dictionary"
}Response samples
- 200
{- "documentId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}, - "personContacts": [
- {
- "name": {
- "formattedName": "string"
}, - "communication": {
- "phone": [
- {
- "formattedNumber": "string"
}
], - "email": [
- {
- "address": "string",
- "useCode": "Business"
}
]
}, - "roleCode": "string"
}
]
}, - "orderType": "Order",
- "positionProfile": {
- "positionId": {
- "value": "string"
}, - "positionTitle": "string",
- "positionTask": {
- "id": {
- "value": "string"
}, - "description": {
- "value": "string"
}
}, - "positionLocation": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "name": "string",
- "countryCode": {
- "value": "string"
}, - "city": "string",
- "postalCode": "string",
- "streetName": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "buildingAddition": "string"
}, - "requestedWorker": {
- "workerId": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "person": {
- "name": {
- "formattedName": "string",
- "legal": "string",
- "given": [
- "string"
], - "preferred": "string",
- "family": "string",
- "familyPrefix": "string",
- "formerFamily": "string",
- "formerFamilyPrefix": "string",
- "preferredSalutationCode": "string",
- "qualificationAffixCode": "string",
- "initials": "string"
}
}
}, - "positionOpenQuantity": 0,
- "positionOfferingTypes": {
- "value": "string"
}, - "positionQualifications": {
- "certifications": [
- {
- "name": "string",
- "descriptions": "string"
}
]
}, - "positionPeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}, - "workingPeriods": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "minimumWorkDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "maximumWorkDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}
}
], - "positionReason": "string",
- "shiftDescription": "string",
- "collectiveLabourAgreement": {
- "name": "string",
- "id": {
- "value": "string"
}
}
}, - "payRates": [
- {
- "id": {
- "value": "string"
}, - "rateType": "Allowance/Expense",
- "code": "string",
- "amount": {
- "value": 0,
- "currency": {
- "value": "string"
}
}, - "intervalCode": {
- "value": "Daily"
}, - "period": {
- "datePeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}
}, - "multiplier": 0,
- "toBeBilled": true,
- "toBePaid": true
}
], - "requestForQuotationDetails": {
- "multiVendorDistribution": true
}, - "resourceClassificationInclusion": {
- "department": {
- "name": "string",
- "code": "string"
}, - "costCenter": {
- "name": "string",
- "code": "string"
}, - "project": {
- "name": "string",
- "code": "string"
}, - "referenceNumber": "string"
}, - "staffingIds": {
- "previousOrderId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "requestForQuotationId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "quoteId": {
- "value": "string",
- "schemeAgencyId": "Supplier"
}, - "masterOrderId": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
]
}, - "reasonOfChange": "string",
- "comments": "string",
- "customerSpecificRequirements": "../dictionary"
}Human Resource is used by the staffing supplier to match a human resource to an open position.
Submit a new human resource
path Parameters
| id required | string |
header Parameters
| setuVersionId required | string Example: 2.0 Specification of the SETU standard version that is used as body message. |
| Content-Type required | string Enum: "application/json" "application/xml" Example: application/json |
Request Body schema:
Complete human resource message as specified by SETU.
required | object |
required | object |
required | object |
required | object |
object | |
Array of objects | |
object | |
object | |
| reasonOfChange | string |
| customerSpecificRequirements | string <uri-reference> |
Responses
Request samples
- Payload
{- "documentId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}, - "personContacts": [
- {
- "name": {
- "formattedName": "string"
}, - "communication": {
- "phone": [
- {
- "formattedNumber": "string"
}
], - "email": [
- {
- "address": "string",
- "useCode": "Business"
}
]
}, - "roleCode": "string"
}
]
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}
}, - "person": {
- "legalId": {
- "value": "string",
- "schemeAgencyId": "string"
}, - "birthDate": "2019-08-24",
- "gender": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "name": {
- "formattedName": "string",
- "legal": "string",
- "given": [
- "string"
], - "preferred": "string",
- "family": "string",
- "familyPrefix": "string",
- "formerFamily": "string",
- "formerFamilyPrefix": "string",
- "preferredSalutationCode": "string",
- "qualificationAffixCode": "string",
- "initials": "string"
}, - "communication": {
- "address": {
- "countryCode": {
- "value": "string"
}, - "city": "string",
- "postalCode": "string",
- "streetName": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "buildingAddition": "string"
}, - "phone": [
- {
- "formattedNumber": "string",
- "name": "string",
- "useCode": "string"
}
], - "email": [
- {
- "address": "string",
- "name": "string",
- "useCode": "Business"
}
]
}, - "primaryLanguage": {
- "value": "string"
}, - "birthPlace": "string",
- "nationality": [
- "string"
], - "legalDocuments": [
- {
- "value": "string",
- "documentType": "string",
- "issueDate": "2019-08-24",
- "expirationDate": "2019-08-24"
}
], - "residenceAddress": {
- "countryCode": {
- "value": "string"
}, - "city": "string",
- "postalCode": "string",
- "streetName": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "buildingAddition": "string"
}
}, - "profiles": {
- "certifications": [
- {
- "id": {
- "value": "string"
}, - "name": "string",
- "effectiveTimePeriod": {
- "validFrom": "string",
- "validTo": "string"
}, - "firstIssued": "string",
- "issuingAuthority": {
- "name": "string"
}, - "descriptions": "string"
}
], - "qualifications": [
- {
- "competencyIds": {
- "value": "string",
- "schemeAgencyId": "string"
}, - "competencyName": "string",
- "description": "string",
- "startDate": "2019-08-24",
- "endDate": "2019-08-24"
}
], - "attachments": [
- {
- "content": {
- "value": "string",
- "mimeType": "string"
}, - "url": "string",
- "descriptions": "CV"
}
], - "personAvailability": {
- "availabilityDates": [
- {
- "startDateTime": "string",
- "endDateTime": "string"
}
]
}, - "workingPeriods": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}
}
]
}, - "payRates": [
- {
- "id": {
- "value": "string"
}, - "rateType": "Allowance/Expense",
- "code": "string",
- "amount": {
- "value": 0,
- "currency": {
- "value": "string"
}
}, - "intervalCode": {
- "value": "Daily"
}, - "period": {
- "datePeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}
}, - "multiplier": 0,
- "toBeBilled": true,
- "toBePaid": true
}
], - "resourceClassificationInclusion": {
- "department": {
- "name": "string",
- "code": "string"
}, - "costCenter": {
- "name": "string",
- "code": "string"
}, - "project": {
- "name": "string",
- "code": "string"
}, - "referenceNumber": "string"
}, - "staffingIds": {
- "requestForQuotationId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}
}, - "reasonOfChange": "string",
- "customerSpecificRequirements": "../dictionary"
}Response samples
- 201
{- "documentId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}, - "personContacts": [
- {
- "name": {
- "formattedName": "string"
}, - "communication": {
- "phone": [
- {
- "formattedNumber": "string"
}
], - "email": [
- {
- "address": "string",
- "useCode": "Business"
}
]
}, - "roleCode": "string"
}
]
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}
}, - "person": {
- "legalId": {
- "value": "string",
- "schemeAgencyId": "string"
}, - "birthDate": "2019-08-24",
- "gender": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "name": {
- "formattedName": "string",
- "legal": "string",
- "given": [
- "string"
], - "preferred": "string",
- "family": "string",
- "familyPrefix": "string",
- "formerFamily": "string",
- "formerFamilyPrefix": "string",
- "preferredSalutationCode": "string",
- "qualificationAffixCode": "string",
- "initials": "string"
}, - "communication": {
- "address": {
- "countryCode": {
- "value": "string"
}, - "city": "string",
- "postalCode": "string",
- "streetName": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "buildingAddition": "string"
}, - "phone": [
- {
- "formattedNumber": "string",
- "name": "string",
- "useCode": "string"
}
], - "email": [
- {
- "address": "string",
- "name": "string",
- "useCode": "Business"
}
]
}, - "primaryLanguage": {
- "value": "string"
}, - "birthPlace": "string",
- "nationality": [
- "string"
], - "legalDocuments": [
- {
- "value": "string",
- "documentType": "string",
- "issueDate": "2019-08-24",
- "expirationDate": "2019-08-24"
}
], - "residenceAddress": {
- "countryCode": {
- "value": "string"
}, - "city": "string",
- "postalCode": "string",
- "streetName": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "buildingAddition": "string"
}
}, - "profiles": {
- "certifications": [
- {
- "id": {
- "value": "string"
}, - "name": "string",
- "effectiveTimePeriod": {
- "validFrom": "string",
- "validTo": "string"
}, - "firstIssued": "string",
- "issuingAuthority": {
- "name": "string"
}, - "descriptions": "string"
}
], - "qualifications": [
- {
- "competencyIds": {
- "value": "string",
- "schemeAgencyId": "string"
}, - "competencyName": "string",
- "description": "string",
- "startDate": "2019-08-24",
- "endDate": "2019-08-24"
}
], - "attachments": [
- {
- "content": {
- "value": "string",
- "mimeType": "string"
}, - "url": "string",
- "descriptions": "CV"
}
], - "personAvailability": {
- "availabilityDates": [
- {
- "startDateTime": "string",
- "endDateTime": "string"
}
]
}, - "workingPeriods": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}
}
]
}, - "payRates": [
- {
- "id": {
- "value": "string"
}, - "rateType": "Allowance/Expense",
- "code": "string",
- "amount": {
- "value": 0,
- "currency": {
- "value": "string"
}
}, - "intervalCode": {
- "value": "Daily"
}, - "period": {
- "datePeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}
}, - "multiplier": 0,
- "toBeBilled": true,
- "toBePaid": true
}
], - "resourceClassificationInclusion": {
- "department": {
- "name": "string",
- "code": "string"
}, - "costCenter": {
- "name": "string",
- "code": "string"
}, - "project": {
- "name": "string",
- "code": "string"
}, - "referenceNumber": "string"
}, - "staffingIds": {
- "requestForQuotationId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}
}, - "reasonOfChange": "string",
- "customerSpecificRequirements": "../dictionary"
}Response samples
- 200
{- "documentId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}, - "personContacts": [
- {
- "name": {
- "formattedName": "string"
}, - "communication": {
- "phone": [
- {
- "formattedNumber": "string"
}
], - "email": [
- {
- "address": "string",
- "useCode": "Business"
}
]
}, - "roleCode": "string"
}
]
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}
}, - "person": {
- "legalId": {
- "value": "string",
- "schemeAgencyId": "string"
}, - "birthDate": "2019-08-24",
- "gender": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "name": {
- "formattedName": "string",
- "legal": "string",
- "given": [
- "string"
], - "preferred": "string",
- "family": "string",
- "familyPrefix": "string",
- "formerFamily": "string",
- "formerFamilyPrefix": "string",
- "preferredSalutationCode": "string",
- "qualificationAffixCode": "string",
- "initials": "string"
}, - "communication": {
- "address": {
- "countryCode": {
- "value": "string"
}, - "city": "string",
- "postalCode": "string",
- "streetName": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "buildingAddition": "string"
}, - "phone": [
- {
- "formattedNumber": "string",
- "name": "string",
- "useCode": "string"
}
], - "email": [
- {
- "address": "string",
- "name": "string",
- "useCode": "Business"
}
]
}, - "primaryLanguage": {
- "value": "string"
}, - "birthPlace": "string",
- "nationality": [
- "string"
], - "legalDocuments": [
- {
- "value": "string",
- "documentType": "string",
- "issueDate": "2019-08-24",
- "expirationDate": "2019-08-24"
}
], - "residenceAddress": {
- "countryCode": {
- "value": "string"
}, - "city": "string",
- "postalCode": "string",
- "streetName": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "buildingAddition": "string"
}
}, - "profiles": {
- "certifications": [
- {
- "id": {
- "value": "string"
}, - "name": "string",
- "effectiveTimePeriod": {
- "validFrom": "string",
- "validTo": "string"
}, - "firstIssued": "string",
- "issuingAuthority": {
- "name": "string"
}, - "descriptions": "string"
}
], - "qualifications": [
- {
- "competencyIds": {
- "value": "string",
- "schemeAgencyId": "string"
}, - "competencyName": "string",
- "description": "string",
- "startDate": "2019-08-24",
- "endDate": "2019-08-24"
}
], - "attachments": [
- {
- "content": {
- "value": "string",
- "mimeType": "string"
}, - "url": "string",
- "descriptions": "CV"
}
], - "personAvailability": {
- "availabilityDates": [
- {
- "startDateTime": "string",
- "endDateTime": "string"
}
]
}, - "workingPeriods": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}
}
]
}, - "payRates": [
- {
- "id": {
- "value": "string"
}, - "rateType": "Allowance/Expense",
- "code": "string",
- "amount": {
- "value": 0,
- "currency": {
- "value": "string"
}
}, - "intervalCode": {
- "value": "Daily"
}, - "period": {
- "datePeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}
}, - "multiplier": 0,
- "toBeBilled": true,
- "toBePaid": true
}
], - "resourceClassificationInclusion": {
- "department": {
- "name": "string",
- "code": "string"
}, - "costCenter": {
- "name": "string",
- "code": "string"
}, - "project": {
- "name": "string",
- "code": "string"
}, - "referenceNumber": "string"
}, - "staffingIds": {
- "requestForQuotationId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}
}, - "reasonOfChange": "string",
- "customerSpecificRequirements": "../dictionary"
}Update an existing human resource
path Parameters
| id required | string |
header Parameters
| setuVersionId required | string Example: 2.0 Specification of the SETU standard version that is used as body message. |
| Content-Type required | string Enum: "application/json" "application/xml" Example: application/json |
Request Body schema:
required | object |
required | object |
required | object |
required | object |
object | |
Array of objects | |
object | |
object | |
| reasonOfChange | string |
| customerSpecificRequirements | string <uri-reference> |
Responses
Request samples
- Payload
{- "documentId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}, - "personContacts": [
- {
- "name": {
- "formattedName": "string"
}, - "communication": {
- "phone": [
- {
- "formattedNumber": "string"
}
], - "email": [
- {
- "address": "string",
- "useCode": "Business"
}
]
}, - "roleCode": "string"
}
]
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}
}, - "person": {
- "legalId": {
- "value": "string",
- "schemeAgencyId": "string"
}, - "birthDate": "2019-08-24",
- "gender": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "name": {
- "formattedName": "string",
- "legal": "string",
- "given": [
- "string"
], - "preferred": "string",
- "family": "string",
- "familyPrefix": "string",
- "formerFamily": "string",
- "formerFamilyPrefix": "string",
- "preferredSalutationCode": "string",
- "qualificationAffixCode": "string",
- "initials": "string"
}, - "communication": {
- "address": {
- "countryCode": {
- "value": "string"
}, - "city": "string",
- "postalCode": "string",
- "streetName": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "buildingAddition": "string"
}, - "phone": [
- {
- "formattedNumber": "string",
- "name": "string",
- "useCode": "string"
}
], - "email": [
- {
- "address": "string",
- "name": "string",
- "useCode": "Business"
}
]
}, - "primaryLanguage": {
- "value": "string"
}, - "birthPlace": "string",
- "nationality": [
- "string"
], - "legalDocuments": [
- {
- "value": "string",
- "documentType": "string",
- "issueDate": "2019-08-24",
- "expirationDate": "2019-08-24"
}
], - "residenceAddress": {
- "countryCode": {
- "value": "string"
}, - "city": "string",
- "postalCode": "string",
- "streetName": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "buildingAddition": "string"
}
}, - "profiles": {
- "certifications": [
- {
- "id": {
- "value": "string"
}, - "name": "string",
- "effectiveTimePeriod": {
- "validFrom": "string",
- "validTo": "string"
}, - "firstIssued": "string",
- "issuingAuthority": {
- "name": "string"
}, - "descriptions": "string"
}
], - "qualifications": [
- {
- "competencyIds": {
- "value": "string",
- "schemeAgencyId": "string"
}, - "competencyName": "string",
- "description": "string",
- "startDate": "2019-08-24",
- "endDate": "2019-08-24"
}
], - "attachments": [
- {
- "content": {
- "value": "string",
- "mimeType": "string"
}, - "url": "string",
- "descriptions": "CV"
}
], - "personAvailability": {
- "availabilityDates": [
- {
- "startDateTime": "string",
- "endDateTime": "string"
}
]
}, - "workingPeriods": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}
}
]
}, - "payRates": [
- {
- "id": {
- "value": "string"
}, - "rateType": "Allowance/Expense",
- "code": "string",
- "amount": {
- "value": 0,
- "currency": {
- "value": "string"
}
}, - "intervalCode": {
- "value": "Daily"
}, - "period": {
- "datePeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}
}, - "multiplier": 0,
- "toBeBilled": true,
- "toBePaid": true
}
], - "resourceClassificationInclusion": {
- "department": {
- "name": "string",
- "code": "string"
}, - "costCenter": {
- "name": "string",
- "code": "string"
}, - "project": {
- "name": "string",
- "code": "string"
}, - "referenceNumber": "string"
}, - "staffingIds": {
- "requestForQuotationId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}
}, - "reasonOfChange": "string",
- "customerSpecificRequirements": "../dictionary"
}Response samples
- 200
{- "documentId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}, - "personContacts": [
- {
- "name": {
- "formattedName": "string"
}, - "communication": {
- "phone": [
- {
- "formattedNumber": "string"
}
], - "email": [
- {
- "address": "string",
- "useCode": "Business"
}
]
}, - "roleCode": "string"
}
]
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}
}, - "person": {
- "legalId": {
- "value": "string",
- "schemeAgencyId": "string"
}, - "birthDate": "2019-08-24",
- "gender": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "name": {
- "formattedName": "string",
- "legal": "string",
- "given": [
- "string"
], - "preferred": "string",
- "family": "string",
- "familyPrefix": "string",
- "formerFamily": "string",
- "formerFamilyPrefix": "string",
- "preferredSalutationCode": "string",
- "qualificationAffixCode": "string",
- "initials": "string"
}, - "communication": {
- "address": {
- "countryCode": {
- "value": "string"
}, - "city": "string",
- "postalCode": "string",
- "streetName": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "buildingAddition": "string"
}, - "phone": [
- {
- "formattedNumber": "string",
- "name": "string",
- "useCode": "string"
}
], - "email": [
- {
- "address": "string",
- "name": "string",
- "useCode": "Business"
}
]
}, - "primaryLanguage": {
- "value": "string"
}, - "birthPlace": "string",
- "nationality": [
- "string"
], - "legalDocuments": [
- {
- "value": "string",
- "documentType": "string",
- "issueDate": "2019-08-24",
- "expirationDate": "2019-08-24"
}
], - "residenceAddress": {
- "countryCode": {
- "value": "string"
}, - "city": "string",
- "postalCode": "string",
- "streetName": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "buildingAddition": "string"
}
}, - "profiles": {
- "certifications": [
- {
- "id": {
- "value": "string"
}, - "name": "string",
- "effectiveTimePeriod": {
- "validFrom": "string",
- "validTo": "string"
}, - "firstIssued": "string",
- "issuingAuthority": {
- "name": "string"
}, - "descriptions": "string"
}
], - "qualifications": [
- {
- "competencyIds": {
- "value": "string",
- "schemeAgencyId": "string"
}, - "competencyName": "string",
- "description": "string",
- "startDate": "2019-08-24",
- "endDate": "2019-08-24"
}
], - "attachments": [
- {
- "content": {
- "value": "string",
- "mimeType": "string"
}, - "url": "string",
- "descriptions": "CV"
}
], - "personAvailability": {
- "availabilityDates": [
- {
- "startDateTime": "string",
- "endDateTime": "string"
}
]
}, - "workingPeriods": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}
}
]
}, - "payRates": [
- {
- "id": {
- "value": "string"
}, - "rateType": "Allowance/Expense",
- "code": "string",
- "amount": {
- "value": 0,
- "currency": {
- "value": "string"
}
}, - "intervalCode": {
- "value": "Daily"
}, - "period": {
- "datePeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}
}, - "multiplier": 0,
- "toBeBilled": true,
- "toBePaid": true
}
], - "resourceClassificationInclusion": {
- "department": {
- "name": "string",
- "code": "string"
}, - "costCenter": {
- "name": "string",
- "code": "string"
}, - "project": {
- "name": "string",
- "code": "string"
}, - "referenceNumber": "string"
}, - "staffingIds": {
- "requestForQuotationId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}
}, - "reasonOfChange": "string",
- "customerSpecificRequirements": "../dictionary"
}Staffing Order is used by a staffing customer to order (an) employee(s) for an open position.
Submit a new staffing order (Order)
path Parameters
| id required | string |
header Parameters
| setuVersionId required | string Example: 2.0 Specification of the SETU standard version that is used as body message. |
| Content-Type required | string Enum: "application/json" "application/xml" Example: application/json |
Request Body schema:
Complete staffing order message as specified by SETU. A message may have multiple versions that can differ. This message contains the order type 'Order'.
required | object |
object | |
required | object |
| orderType required | string Enum: "Order" "RFQ" |
required | object |
Array of objects | |
object | |
object | |
object | |
| reasonOfChange | string |
| comments | string |
| customerSpecificRequirements | string <uri-reference> |
Responses
Request samples
- Payload
{- "documentId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}, - "personContacts": [
- {
- "name": {
- "formattedName": "string"
}, - "communication": {
- "phone": [
- {
- "formattedNumber": "string"
}
], - "email": [
- {
- "address": "string",
- "useCode": "Business"
}
]
}, - "roleCode": "string"
}
]
}, - "orderType": "Order",
- "positionProfile": {
- "positionId": {
- "value": "string"
}, - "positionTitle": "string",
- "positionTask": {
- "id": {
- "value": "string"
}, - "description": {
- "value": "string"
}
}, - "positionLocation": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "name": "string",
- "countryCode": {
- "value": "string"
}, - "city": "string",
- "postalCode": "string",
- "streetName": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "buildingAddition": "string"
}, - "requestedWorker": {
- "workerId": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "person": {
- "name": {
- "formattedName": "string",
- "legal": "string",
- "given": [
- "string"
], - "preferred": "string",
- "family": "string",
- "familyPrefix": "string",
- "formerFamily": "string",
- "formerFamilyPrefix": "string",
- "preferredSalutationCode": "string",
- "qualificationAffixCode": "string",
- "initials": "string"
}
}
}, - "positionOpenQuantity": 0,
- "positionOfferingTypes": {
- "value": "string"
}, - "positionQualifications": {
- "certifications": [
- {
- "name": "string",
- "descriptions": "string"
}
]
}, - "positionPeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}, - "workingPeriods": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "minimumWorkDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "maximumWorkDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}
}
], - "positionReason": "string",
- "shiftDescription": "string",
- "collectiveLabourAgreement": {
- "name": "string",
- "id": {
- "value": "string"
}
}
}, - "payRates": [
- {
- "id": {
- "value": "string"
}, - "rateType": "Allowance/Expense",
- "code": "string",
- "amount": {
- "value": 0,
- "currency": {
- "value": "string"
}
}, - "intervalCode": {
- "value": "Daily"
}, - "period": {
- "datePeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}
}, - "multiplier": 0,
- "toBeBilled": true,
- "toBePaid": true
}
], - "requestForQuotationDetails": {
- "multiVendorDistribution": true
}, - "resourceClassificationInclusion": {
- "department": {
- "name": "string",
- "code": "string"
}, - "costCenter": {
- "name": "string",
- "code": "string"
}, - "project": {
- "name": "string",
- "code": "string"
}, - "referenceNumber": "string"
}, - "staffingIds": {
- "previousOrderId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "requestForQuotationId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "quoteId": {
- "value": "string",
- "schemeAgencyId": "Supplier"
}, - "masterOrderId": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
]
}, - "reasonOfChange": "string",
- "comments": "string",
- "customerSpecificRequirements": "../dictionary"
}Retrieve information about an existing staffing order (Order)
path Parameters
| id required | string |
Responses
Response samples
- 200
{- "documentId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}, - "personContacts": [
- {
- "name": {
- "formattedName": "string"
}, - "communication": {
- "phone": [
- {
- "formattedNumber": "string"
}
], - "email": [
- {
- "address": "string",
- "useCode": "Business"
}
]
}, - "roleCode": "string"
}
]
}, - "orderType": "Order",
- "positionProfile": {
- "positionId": {
- "value": "string"
}, - "positionTitle": "string",
- "positionTask": {
- "id": {
- "value": "string"
}, - "description": {
- "value": "string"
}
}, - "positionLocation": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "name": "string",
- "countryCode": {
- "value": "string"
}, - "city": "string",
- "postalCode": "string",
- "streetName": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "buildingAddition": "string"
}, - "requestedWorker": {
- "workerId": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "person": {
- "name": {
- "formattedName": "string",
- "legal": "string",
- "given": [
- "string"
], - "preferred": "string",
- "family": "string",
- "familyPrefix": "string",
- "formerFamily": "string",
- "formerFamilyPrefix": "string",
- "preferredSalutationCode": "string",
- "qualificationAffixCode": "string",
- "initials": "string"
}
}
}, - "positionOpenQuantity": 0,
- "positionOfferingTypes": {
- "value": "string"
}, - "positionQualifications": {
- "certifications": [
- {
- "name": "string",
- "descriptions": "string"
}
]
}, - "positionPeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}, - "workingPeriods": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "minimumWorkDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "maximumWorkDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}
}
], - "positionReason": "string",
- "shiftDescription": "string",
- "collectiveLabourAgreement": {
- "name": "string",
- "id": {
- "value": "string"
}
}
}, - "payRates": [
- {
- "id": {
- "value": "string"
}, - "rateType": "Allowance/Expense",
- "code": "string",
- "amount": {
- "value": 0,
- "currency": {
- "value": "string"
}
}, - "intervalCode": {
- "value": "Daily"
}, - "period": {
- "datePeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}
}, - "multiplier": 0,
- "toBeBilled": true,
- "toBePaid": true
}
], - "requestForQuotationDetails": {
- "multiVendorDistribution": true
}, - "resourceClassificationInclusion": {
- "department": {
- "name": "string",
- "code": "string"
}, - "costCenter": {
- "name": "string",
- "code": "string"
}, - "project": {
- "name": "string",
- "code": "string"
}, - "referenceNumber": "string"
}, - "staffingIds": {
- "previousOrderId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "requestForQuotationId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "quoteId": {
- "value": "string",
- "schemeAgencyId": "Supplier"
}, - "masterOrderId": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
]
}, - "reasonOfChange": "string",
- "comments": "string",
- "customerSpecificRequirements": "../dictionary"
}Update an existing staffing order (Order)
path Parameters
| id required | string |
header Parameters
| setuVersionId required | string Example: 2.0 Specification of the SETU standard version that is used as body message. |
| Content-Type required | string Enum: "application/json" "application/xml" Example: application/json |
Request Body schema:
required | object |
object | |
required | object |
| orderType required | string Enum: "Order" "RFQ" |
required | object |
Array of objects | |
object | |
object | |
object | |
| reasonOfChange | string |
| comments | string |
| customerSpecificRequirements | string <uri-reference> |
Responses
Request samples
- Payload
{- "documentId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}, - "personContacts": [
- {
- "name": {
- "formattedName": "string"
}, - "communication": {
- "phone": [
- {
- "formattedNumber": "string"
}
], - "email": [
- {
- "address": "string",
- "useCode": "Business"
}
]
}, - "roleCode": "string"
}
]
}, - "orderType": "Order",
- "positionProfile": {
- "positionId": {
- "value": "string"
}, - "positionTitle": "string",
- "positionTask": {
- "id": {
- "value": "string"
}, - "description": {
- "value": "string"
}
}, - "positionLocation": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "name": "string",
- "countryCode": {
- "value": "string"
}, - "city": "string",
- "postalCode": "string",
- "streetName": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "buildingAddition": "string"
}, - "requestedWorker": {
- "workerId": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "person": {
- "name": {
- "formattedName": "string",
- "legal": "string",
- "given": [
- "string"
], - "preferred": "string",
- "family": "string",
- "familyPrefix": "string",
- "formerFamily": "string",
- "formerFamilyPrefix": "string",
- "preferredSalutationCode": "string",
- "qualificationAffixCode": "string",
- "initials": "string"
}
}
}, - "positionOpenQuantity": 0,
- "positionOfferingTypes": {
- "value": "string"
}, - "positionQualifications": {
- "certifications": [
- {
- "name": "string",
- "descriptions": "string"
}
]
}, - "positionPeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}, - "workingPeriods": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "minimumWorkDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "maximumWorkDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}
}
], - "positionReason": "string",
- "shiftDescription": "string",
- "collectiveLabourAgreement": {
- "name": "string",
- "id": {
- "value": "string"
}
}
}, - "payRates": [
- {
- "id": {
- "value": "string"
}, - "rateType": "Allowance/Expense",
- "code": "string",
- "amount": {
- "value": 0,
- "currency": {
- "value": "string"
}
}, - "intervalCode": {
- "value": "Daily"
}, - "period": {
- "datePeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}
}, - "multiplier": 0,
- "toBeBilled": true,
- "toBePaid": true
}
], - "requestForQuotationDetails": {
- "multiVendorDistribution": true
}, - "resourceClassificationInclusion": {
- "department": {
- "name": "string",
- "code": "string"
}, - "costCenter": {
- "name": "string",
- "code": "string"
}, - "project": {
- "name": "string",
- "code": "string"
}, - "referenceNumber": "string"
}, - "staffingIds": {
- "previousOrderId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "requestForQuotationId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "quoteId": {
- "value": "string",
- "schemeAgencyId": "Supplier"
}, - "masterOrderId": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
]
}, - "reasonOfChange": "string",
- "comments": "string",
- "customerSpecificRequirements": "../dictionary"
}Response samples
- 200
{- "documentId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}, - "personContacts": [
- {
- "name": {
- "formattedName": "string"
}, - "communication": {
- "phone": [
- {
- "formattedNumber": "string"
}
], - "email": [
- {
- "address": "string",
- "useCode": "Business"
}
]
}, - "roleCode": "string"
}
]
}, - "orderType": "Order",
- "positionProfile": {
- "positionId": {
- "value": "string"
}, - "positionTitle": "string",
- "positionTask": {
- "id": {
- "value": "string"
}, - "description": {
- "value": "string"
}
}, - "positionLocation": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "name": "string",
- "countryCode": {
- "value": "string"
}, - "city": "string",
- "postalCode": "string",
- "streetName": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "buildingAddition": "string"
}, - "requestedWorker": {
- "workerId": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "person": {
- "name": {
- "formattedName": "string",
- "legal": "string",
- "given": [
- "string"
], - "preferred": "string",
- "family": "string",
- "familyPrefix": "string",
- "formerFamily": "string",
- "formerFamilyPrefix": "string",
- "preferredSalutationCode": "string",
- "qualificationAffixCode": "string",
- "initials": "string"
}
}
}, - "positionOpenQuantity": 0,
- "positionOfferingTypes": {
- "value": "string"
}, - "positionQualifications": {
- "certifications": [
- {
- "name": "string",
- "descriptions": "string"
}
]
}, - "positionPeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}, - "workingPeriods": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "minimumWorkDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "maximumWorkDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}
}
], - "positionReason": "string",
- "shiftDescription": "string",
- "collectiveLabourAgreement": {
- "name": "string",
- "id": {
- "value": "string"
}
}
}, - "payRates": [
- {
- "id": {
- "value": "string"
}, - "rateType": "Allowance/Expense",
- "code": "string",
- "amount": {
- "value": 0,
- "currency": {
- "value": "string"
}
}, - "intervalCode": {
- "value": "Daily"
}, - "period": {
- "datePeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}
}, - "multiplier": 0,
- "toBeBilled": true,
- "toBePaid": true
}
], - "requestForQuotationDetails": {
- "multiVendorDistribution": true
}, - "resourceClassificationInclusion": {
- "department": {
- "name": "string",
- "code": "string"
}, - "costCenter": {
- "name": "string",
- "code": "string"
}, - "project": {
- "name": "string",
- "code": "string"
}, - "referenceNumber": "string"
}, - "staffingIds": {
- "previousOrderId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "requestForQuotationId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "quoteId": {
- "value": "string",
- "schemeAgencyId": "Supplier"
}, - "masterOrderId": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
]
}, - "reasonOfChange": "string",
- "comments": "string",
- "customerSpecificRequirements": "../dictionary"
}Response samples
- 200
{- "documentId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}, - "personContacts": [
- {
- "name": {
- "formattedName": "string"
}, - "communication": {
- "phone": [
- {
- "formattedNumber": "string"
}
], - "email": [
- {
- "address": "string",
- "useCode": "Business"
}
]
}, - "roleCode": "string"
}
]
}, - "orderType": "Order",
- "positionProfile": {
- "positionId": {
- "value": "string"
}, - "positionTitle": "string",
- "positionTask": {
- "id": {
- "value": "string"
}, - "description": {
- "value": "string"
}
}, - "positionLocation": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "name": "string",
- "countryCode": {
- "value": "string"
}, - "city": "string",
- "postalCode": "string",
- "streetName": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "buildingAddition": "string"
}, - "requestedWorker": {
- "workerId": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "person": {
- "name": {
- "formattedName": "string",
- "legal": "string",
- "given": [
- "string"
], - "preferred": "string",
- "family": "string",
- "familyPrefix": "string",
- "formerFamily": "string",
- "formerFamilyPrefix": "string",
- "preferredSalutationCode": "string",
- "qualificationAffixCode": "string",
- "initials": "string"
}
}
}, - "positionOpenQuantity": 0,
- "positionOfferingTypes": {
- "value": "string"
}, - "positionQualifications": {
- "certifications": [
- {
- "name": "string",
- "descriptions": "string"
}
]
}, - "positionPeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}, - "workingPeriods": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "minimumWorkDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "maximumWorkDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}
}
], - "positionReason": "string",
- "shiftDescription": "string",
- "collectiveLabourAgreement": {
- "name": "string",
- "id": {
- "value": "string"
}
}
}, - "payRates": [
- {
- "id": {
- "value": "string"
}, - "rateType": "Allowance/Expense",
- "code": "string",
- "amount": {
- "value": 0,
- "currency": {
- "value": "string"
}
}, - "intervalCode": {
- "value": "Daily"
}, - "period": {
- "datePeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}
}, - "multiplier": 0,
- "toBeBilled": true,
- "toBePaid": true
}
], - "requestForQuotationDetails": {
- "multiVendorDistribution": true
}, - "resourceClassificationInclusion": {
- "department": {
- "name": "string",
- "code": "string"
}, - "costCenter": {
- "name": "string",
- "code": "string"
}, - "project": {
- "name": "string",
- "code": "string"
}, - "referenceNumber": "string"
}, - "staffingIds": {
- "previousOrderId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "requestForQuotationId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "quoteId": {
- "value": "string",
- "schemeAgencyId": "Supplier"
}, - "masterOrderId": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
]
}, - "reasonOfChange": "string",
- "comments": "string",
- "customerSpecificRequirements": "../dictionary"
}Submit a new assignment
path Parameters
| id required | string |
header Parameters
| setuVersionId required | string Example: 2.0 Specification of the SETU standard version that is used as body message. |
| Content-Type required | string Enum: "application/json" "application/xml" Example: application/json |
Request Body schema:
Complete assignment message as specified by SETU.
required | object |
object | |
required | object |
object | |
required | Array of objects non-empty |
required | object |
required | object |
object | |
| reasonOfChange | string |
| customerSpecificRequirements | string <uri-reference> |
Responses
Request samples
- Payload
{- "documentId": {
- "value": "string",
- "schemeAgencyId": "Supplier"
}, - "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}, - "personContacts": [
- {
- "name": {
- "formattedName": "string"
}, - "communication": {
- "phone": [
- {
- "formattedNumber": "string"
}
], - "email": [
- {
- "address": "string",
- "useCode": "Business"
}
]
}, - "roleCode": "string"
}
]
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}, - "personContacts": [
- {
- "name": {
- "formattedName": "string"
}, - "communication": {
- "phone": [
- {
- "formattedNumber": "string"
}
], - "email": [
- {
- "address": "string",
- "useCode": "Business"
}
]
}, - "roleCode": "string"
}
]
}, - "resourceClassificationInclusion": {
- "department": {
- "name": "string",
- "code": "string"
}, - "costCenter": {
- "name": "string",
- "code": "string"
}, - "project": {
- "name": "string",
- "code": "string"
}, - "referenceNumber": "string",
- "purchaseOrderNumber": "string"
}, - "payRates": [
- {
- "id": {
- "value": "string"
}, - "rateType": "Allowance/Expense",
- "code": "string",
- "amount": {
- "value": 0,
- "currency": {
- "value": "string"
}
}, - "intervalCode": {
- "value": "Daily"
}, - "period": {
- "datePeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}
}, - "multiplier": 0,
- "toBeBilled": true,
- "toBePaid": true,
- "purchaseOrderLineItem": "string"
}
], - "positionProfile": {
- "positionId": {
- "value": "string"
}, - "positionTitle": "string",
- "positionTask": {
- "id": {
- "value": "string"
}, - "description": {
- "value": "string"
}
}, - "jobCategories": {
- "id": {
- "value": "string"
}
}, - "positionLocation": [
- {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "name": "string",
- "countryCode": {
- "value": "string"
}, - "city": "string",
- "postalCode": "string",
- "streetName": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "buildingAddition": "string",
- "primaryLocation": true
}
], - "positionOfferingTypes": {
- "value": "string"
}, - "positionPeriod": {
- "start": "2019-08-24",
- "expectedEnd": "2019-08-24",
- "actualEnd": "2019-08-24"
}, - "workingPeriods": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "minimumWorkDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "maximumWorkDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}
}
], - "contractWorkingPeriods": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "minimumWorkDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "maximumWorkDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}, - "effectiveTimePeriod": {
- "validFrom": "string",
- "validTo": "string"
}
}
], - "shiftDescription": "string",
- "travelDistance": 0,
- "collectiveLabourAgreement": {
- "name": "string",
- "id": {
- "value": "string"
}
}, - "salaryScale": "string"
}, - "assignedWorker": {
- "workerId": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "insuranceGroup": "string",
- "employeePhase": "string",
- "employeeContract": true,
- "onCallContract": [
- {
- "onCallIndicator": true,
- "validFrom": "2019-08-24",
- "validTo": "2019-08-24"
}
], - "vacationWorker": true,
- "recruitedBy": "Customer"
}, - "staffingIds": {
- "requestForQuotationId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}
}, - "reasonOfChange": "string",
- "customerSpecificRequirements": "../dictionary"
}Response samples
- 201
{- "documentId": {
- "value": "string",
- "schemeAgencyId": "Supplier"
}, - "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}, - "personContacts": [
- {
- "name": {
- "formattedName": "string"
}, - "communication": {
- "phone": [
- {
- "formattedNumber": "string"
}
], - "email": [
- {
- "address": "string",
- "useCode": "Business"
}
]
}, - "roleCode": "string"
}
]
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}, - "personContacts": [
- {
- "name": {
- "formattedName": "string"
}, - "communication": {
- "phone": [
- {
- "formattedNumber": "string"
}
], - "email": [
- {
- "address": "string",
- "useCode": "Business"
}
]
}, - "roleCode": "string"
}
]
}, - "resourceClassificationInclusion": {
- "department": {
- "name": "string",
- "code": "string"
}, - "costCenter": {
- "name": "string",
- "code": "string"
}, - "project": {
- "name": "string",
- "code": "string"
}, - "referenceNumber": "string",
- "purchaseOrderNumber": "string"
}, - "payRates": [
- {
- "id": {
- "value": "string"
}, - "rateType": "Allowance/Expense",
- "code": "string",
- "amount": {
- "value": 0,
- "currency": {
- "value": "string"
}
}, - "intervalCode": {
- "value": "Daily"
}, - "period": {
- "datePeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}
}, - "multiplier": 0,
- "toBeBilled": true,
- "toBePaid": true,
- "purchaseOrderLineItem": "string"
}
], - "positionProfile": {
- "positionId": {
- "value": "string"
}, - "positionTitle": "string",
- "positionTask": {
- "id": {
- "value": "string"
}, - "description": {
- "value": "string"
}
}, - "jobCategories": {
- "id": {
- "value": "string"
}
}, - "positionLocation": [
- {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "name": "string",
- "countryCode": {
- "value": "string"
}, - "city": "string",
- "postalCode": "string",
- "streetName": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "buildingAddition": "string",
- "primaryLocation": true
}
], - "positionOfferingTypes": {
- "value": "string"
}, - "positionPeriod": {
- "start": "2019-08-24",
- "expectedEnd": "2019-08-24",
- "actualEnd": "2019-08-24"
}, - "workingPeriods": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "minimumWorkDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "maximumWorkDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}
}
], - "contractWorkingPeriods": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "minimumWorkDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "maximumWorkDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}, - "effectiveTimePeriod": {
- "validFrom": "string",
- "validTo": "string"
}
}
], - "shiftDescription": "string",
- "travelDistance": 0,
- "collectiveLabourAgreement": {
- "name": "string",
- "id": {
- "value": "string"
}
}, - "salaryScale": "string"
}, - "assignedWorker": {
- "workerId": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "insuranceGroup": "string",
- "employeePhase": "string",
- "employeeContract": true,
- "onCallContract": [
- {
- "onCallIndicator": true,
- "validFrom": "2019-08-24",
- "validTo": "2019-08-24"
}
], - "vacationWorker": true,
- "recruitedBy": "Customer"
}, - "staffingIds": {
- "requestForQuotationId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}
}, - "reasonOfChange": "string",
- "customerSpecificRequirements": "../dictionary"
}Response samples
- 200
{- "documentId": {
- "value": "string",
- "schemeAgencyId": "Supplier"
}, - "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}, - "personContacts": [
- {
- "name": {
- "formattedName": "string"
}, - "communication": {
- "phone": [
- {
- "formattedNumber": "string"
}
], - "email": [
- {
- "address": "string",
- "useCode": "Business"
}
]
}, - "roleCode": "string"
}
]
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}, - "personContacts": [
- {
- "name": {
- "formattedName": "string"
}, - "communication": {
- "phone": [
- {
- "formattedNumber": "string"
}
], - "email": [
- {
- "address": "string",
- "useCode": "Business"
}
]
}, - "roleCode": "string"
}
]
}, - "resourceClassificationInclusion": {
- "department": {
- "name": "string",
- "code": "string"
}, - "costCenter": {
- "name": "string",
- "code": "string"
}, - "project": {
- "name": "string",
- "code": "string"
}, - "referenceNumber": "string",
- "purchaseOrderNumber": "string"
}, - "payRates": [
- {
- "id": {
- "value": "string"
}, - "rateType": "Allowance/Expense",
- "code": "string",
- "amount": {
- "value": 0,
- "currency": {
- "value": "string"
}
}, - "intervalCode": {
- "value": "Daily"
}, - "period": {
- "datePeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}
}, - "multiplier": 0,
- "toBeBilled": true,
- "toBePaid": true,
- "purchaseOrderLineItem": "string"
}
], - "positionProfile": {
- "positionId": {
- "value": "string"
}, - "positionTitle": "string",
- "positionTask": {
- "id": {
- "value": "string"
}, - "description": {
- "value": "string"
}
}, - "jobCategories": {
- "id": {
- "value": "string"
}
}, - "positionLocation": [
- {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "name": "string",
- "countryCode": {
- "value": "string"
}, - "city": "string",
- "postalCode": "string",
- "streetName": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "buildingAddition": "string",
- "primaryLocation": true
}
], - "positionOfferingTypes": {
- "value": "string"
}, - "positionPeriod": {
- "start": "2019-08-24",
- "expectedEnd": "2019-08-24",
- "actualEnd": "2019-08-24"
}, - "workingPeriods": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "minimumWorkDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "maximumWorkDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}
}
], - "contractWorkingPeriods": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "minimumWorkDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "maximumWorkDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}, - "effectiveTimePeriod": {
- "validFrom": "string",
- "validTo": "string"
}
}
], - "shiftDescription": "string",
- "travelDistance": 0,
- "collectiveLabourAgreement": {
- "name": "string",
- "id": {
- "value": "string"
}
}, - "salaryScale": "string"
}, - "assignedWorker": {
- "workerId": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "insuranceGroup": "string",
- "employeePhase": "string",
- "employeeContract": true,
- "onCallContract": [
- {
- "onCallIndicator": true,
- "validFrom": "2019-08-24",
- "validTo": "2019-08-24"
}
], - "vacationWorker": true,
- "recruitedBy": "Customer"
}, - "staffingIds": {
- "requestForQuotationId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}
}, - "reasonOfChange": "string",
- "customerSpecificRequirements": "../dictionary"
}Update an existing assignment
path Parameters
| id required | string |
header Parameters
| setuVersionId required | string Example: 2.0 Specification of the SETU standard version that is used as body message. |
| Content-Type required | string Enum: "application/json" "application/xml" Example: application/json |
Request Body schema:
required | object |
object | |
required | object |
object | |
required | Array of objects non-empty |
required | object |
required | object |
object | |
| reasonOfChange | string |
| customerSpecificRequirements | string <uri-reference> |
Responses
Request samples
- Payload
{- "documentId": {
- "value": "string",
- "schemeAgencyId": "Supplier"
}, - "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}, - "personContacts": [
- {
- "name": {
- "formattedName": "string"
}, - "communication": {
- "phone": [
- {
- "formattedNumber": "string"
}
], - "email": [
- {
- "address": "string",
- "useCode": "Business"
}
]
}, - "roleCode": "string"
}
]
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}, - "personContacts": [
- {
- "name": {
- "formattedName": "string"
}, - "communication": {
- "phone": [
- {
- "formattedNumber": "string"
}
], - "email": [
- {
- "address": "string",
- "useCode": "Business"
}
]
}, - "roleCode": "string"
}
]
}, - "resourceClassificationInclusion": {
- "department": {
- "name": "string",
- "code": "string"
}, - "costCenter": {
- "name": "string",
- "code": "string"
}, - "project": {
- "name": "string",
- "code": "string"
}, - "referenceNumber": "string",
- "purchaseOrderNumber": "string"
}, - "payRates": [
- {
- "id": {
- "value": "string"
}, - "rateType": "Allowance/Expense",
- "code": "string",
- "amount": {
- "value": 0,
- "currency": {
- "value": "string"
}
}, - "intervalCode": {
- "value": "Daily"
}, - "period": {
- "datePeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}
}, - "multiplier": 0,
- "toBeBilled": true,
- "toBePaid": true,
- "purchaseOrderLineItem": "string"
}
], - "positionProfile": {
- "positionId": {
- "value": "string"
}, - "positionTitle": "string",
- "positionTask": {
- "id": {
- "value": "string"
}, - "description": {
- "value": "string"
}
}, - "jobCategories": {
- "id": {
- "value": "string"
}
}, - "positionLocation": [
- {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "name": "string",
- "countryCode": {
- "value": "string"
}, - "city": "string",
- "postalCode": "string",
- "streetName": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "buildingAddition": "string",
- "primaryLocation": true
}
], - "positionOfferingTypes": {
- "value": "string"
}, - "positionPeriod": {
- "start": "2019-08-24",
- "expectedEnd": "2019-08-24",
- "actualEnd": "2019-08-24"
}, - "workingPeriods": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "minimumWorkDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "maximumWorkDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}
}
], - "contractWorkingPeriods": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "minimumWorkDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "maximumWorkDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}, - "effectiveTimePeriod": {
- "validFrom": "string",
- "validTo": "string"
}
}
], - "shiftDescription": "string",
- "travelDistance": 0,
- "collectiveLabourAgreement": {
- "name": "string",
- "id": {
- "value": "string"
}
}, - "salaryScale": "string"
}, - "assignedWorker": {
- "workerId": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "insuranceGroup": "string",
- "employeePhase": "string",
- "employeeContract": true,
- "onCallContract": [
- {
- "onCallIndicator": true,
- "validFrom": "2019-08-24",
- "validTo": "2019-08-24"
}
], - "vacationWorker": true,
- "recruitedBy": "Customer"
}, - "staffingIds": {
- "requestForQuotationId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}
}, - "reasonOfChange": "string",
- "customerSpecificRequirements": "../dictionary"
}Response samples
- 200
{- "documentId": {
- "value": "string",
- "schemeAgencyId": "Supplier"
}, - "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}, - "personContacts": [
- {
- "name": {
- "formattedName": "string"
}, - "communication": {
- "phone": [
- {
- "formattedNumber": "string"
}
], - "email": [
- {
- "address": "string",
- "useCode": "Business"
}
]
}, - "roleCode": "string"
}
]
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}, - "personContacts": [
- {
- "name": {
- "formattedName": "string"
}, - "communication": {
- "phone": [
- {
- "formattedNumber": "string"
}
], - "email": [
- {
- "address": "string",
- "useCode": "Business"
}
]
}, - "roleCode": "string"
}
]
}, - "resourceClassificationInclusion": {
- "department": {
- "name": "string",
- "code": "string"
}, - "costCenter": {
- "name": "string",
- "code": "string"
}, - "project": {
- "name": "string",
- "code": "string"
}, - "referenceNumber": "string",
- "purchaseOrderNumber": "string"
}, - "payRates": [
- {
- "id": {
- "value": "string"
}, - "rateType": "Allowance/Expense",
- "code": "string",
- "amount": {
- "value": 0,
- "currency": {
- "value": "string"
}
}, - "intervalCode": {
- "value": "Daily"
}, - "period": {
- "datePeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}
}, - "multiplier": 0,
- "toBeBilled": true,
- "toBePaid": true,
- "purchaseOrderLineItem": "string"
}
], - "positionProfile": {
- "positionId": {
- "value": "string"
}, - "positionTitle": "string",
- "positionTask": {
- "id": {
- "value": "string"
}, - "description": {
- "value": "string"
}
}, - "jobCategories": {
- "id": {
- "value": "string"
}
}, - "positionLocation": [
- {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "name": "string",
- "countryCode": {
- "value": "string"
}, - "city": "string",
- "postalCode": "string",
- "streetName": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "buildingAddition": "string",
- "primaryLocation": true
}
], - "positionOfferingTypes": {
- "value": "string"
}, - "positionPeriod": {
- "start": "2019-08-24",
- "expectedEnd": "2019-08-24",
- "actualEnd": "2019-08-24"
}, - "workingPeriods": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "minimumWorkDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "maximumWorkDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}
}
], - "contractWorkingPeriods": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "minimumWorkDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "maximumWorkDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}, - "effectiveTimePeriod": {
- "validFrom": "string",
- "validTo": "string"
}
}
], - "shiftDescription": "string",
- "travelDistance": 0,
- "collectiveLabourAgreement": {
- "name": "string",
- "id": {
- "value": "string"
}
}, - "salaryScale": "string"
}, - "assignedWorker": {
- "workerId": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "insuranceGroup": "string",
- "employeePhase": "string",
- "employeeContract": true,
- "onCallContract": [
- {
- "onCallIndicator": true,
- "validFrom": "2019-08-24",
- "validTo": "2019-08-24"
}
], - "vacationWorker": true,
- "recruitedBy": "Customer"
}, - "staffingIds": {
- "requestForQuotationId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}
}, - "reasonOfChange": "string",
- "customerSpecificRequirements": "../dictionary"
}The SETU Standard for Reporting Time and Expenses is targeted at the process of reporting time & expenses in the staffing industry.
- Note This API endpoint includes REST calls about time-internvals and allowances. These consist of line identifiers, which are also used as part of certain REST api paths. They are combined with the resource identifiers as specified on the SETU documentation page. For example,
PUT /purchase-to-pay/timecard/c93efb20-1acd-447b-87e7-fadb108d8a0e/time-interval/2can be used to update or get the information about a time-interval planningline with line ID2within a created timecard known by its resource identifier (UUID) as'c93efb20-1acd-447b-87e7-fadb108d8a0e'.
Submit a new timecard
path Parameters
| id required | string |
header Parameters
| setuVersionId required | string Example: 2.0 Specification of the SETU standard version that is used as body message. |
| Content-Type required | string Enum: "application/json" "application/xml" Example: application/json |
Request Body schema:
Complete timecard message as specified by SETU.
required | object |
object | |
object | |
object | |
object | |
object | |
| referenceNumber | string |
| purchaseOrderNumber | string |
required | object |
required | object |
object | |
Array of objects | |
Array of objects | |
| customerSpecificRequirements | string <uri-reference> |
Responses
Request samples
- Payload
{- "documentId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}, - "personContacts": [
- {
- "name": {
- "formattedName": "string"
}, - "communication": {
- "phone": [
- {
- "formattedNumber": "string"
}
], - "email": [
- {
- "address": "string",
- "useCode": "Business"
}
]
}, - "roleCode": "string"
}
]
}, - "department": {
- "name": "string",
- "code": "string"
}, - "costCenter": {
- "name": "string",
- "code": "string"
}, - "project": {
- "name": "string",
- "code": "string"
}, - "referenceNumber": "string",
- "purchaseOrderNumber": "string",
- "person": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "name": {
- "formattedName": "string"
}
}, - "period": {
- "datePeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}
}, - "staffingIds": {
- "assignmentId": {
- "value": "string",
- "schemeAgencyId": "Supplier"
}
}, - "timeInterval": [
- {
- "id": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "department": {
- "name": "string",
- "code": "string"
}, - "costCenter": {
- "name": "string",
- "code": "string"
}, - "project": {
- "name": "string",
- "code": "string"
}, - "referenceNumber": "string",
- "purchaseOrderLineItem": "string",
- "typeCode": {
- "value": "string"
}, - "period": {
- "dateTimePeriod": {
- "start": "string",
- "end": "string"
}
}, - "timeTotal": "string",
- "payRates": [
- {
- "amount": {
- "value": 0,
- "currency": {
- "value": "string"
}
}, - "intervalCode": {
- "value": "FourWeekly"
}, - "multiplier": 0,
- "toBeBilled": true,
- "toBePaid": true
}
], - "dayAssignment": "2019-08-24",
- "homeOfficeIndicator": "Home",
- "customerSpecificRequirements": "../dictionary"
}
], - "allowance": [
- {
- "comment": {
- "note": "string"
}, - "id": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "department": {
- "name": "string",
- "code": "string"
}, - "costCenter": {
- "name": "string",
- "code": "string"
}, - "project": {
- "name": "string",
- "code": "string"
}, - "referenceNumber": "string",
- "purchaseOrderLineItem": "string",
- "typeCode": {
- "value": "string"
}, - "period": {
- "datePeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}
}, - "payRates": [
- {
- "amount": {
- "value": 0,
- "currency": {
- "value": "string"
}
}, - "toBeBilled": true,
- "toBePaid": true
}
], - "quantity": {
- "value": 0
}, - "attachment": {
- "content": {
- "value": "string",
- "mimeType": "string"
}, - "url": "string"
}, - "customerSpecificRequirements": "../dictionary"
}
], - "customerSpecificRequirements": "../dictionary"
}Response samples
- 201
{- "documentId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "establishment": {
- "responsibilityCode": {
- "value": "string"
}, - "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}
}, - "personContacts": [
- {
- "name": {
- "formattedName": "string"
}, - "communication": {
- "phone": [
- {
- "formattedNumber": "string"
}
], - "email": [
- {
- "address": "string",
- "useCode": "Business"
}
]
}, - "roleCode": "string"
}
]
}, - "department": {
- "name": "string",
- "code": "string"
}, - "costCenter": {
- "name": "string",
- "code": "string"
}, - "project": {
- "name": "string",
- "code": "string"
}, - "referenceNumber": "string",
- "purchaseOrderNumber": "string",
- "person": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "name": {
- "formattedName": "string"
}
}, - "period": {
- "datePeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}
}, - "staffingIds": {
- "assignmentId": {
- "value": "string",
- "schemeAgencyId": "Supplier"
}
}, - "timeInterval": [
- {
- "id": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "department": {
- "name": "string",
- "code": "string"
}, - "costCenter": {
- "name": "string",
- "code": "string"
}, - "project": {
- "name": "string",
- "code": "string"
}, - "referenceNumber": "string",
- "purchaseOrderLineItem": "string",
- "typeCode": {
- "value": "string"
}, - "period": {
- "dateTimePeriod": {
- "start": "string",
- "end": "string"
}
}, - "timeTotal": "string",
- "payRates": [
- {
- "amount": {
- "value": 0,
- "currency": {
- "value": "string"
}
}, - "intervalCode": {
- "value": "FourWeekly"
}, - "multiplier": 0,
- "toBeBilled": true,
- "toBePaid": true
}
], - "dayAssignment": "2019-08-24",
- "homeOfficeIndicator": "Home",
- "customerSpecificRequirements": "../dictionary"
}
], - "allowance": [
- {
- "comment": {
- "note": "string"
}, - "id": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "department": {
- "name": "string",
- "code": "string"
}, - "costCenter": {
- "name": "string",
- "code": "string"
}, - "project": {
- "name": "string",
- "code": "string"
}, - "referenceNumber": "string",
- "purchaseOrderLineItem": "string",
- "typeCode": {
- "value": "string"
}, - "period": {
- "datePeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}
}, - "payRates": [
- {
- "amount": {
- "value": 0,
- "currency": {
- "value": "string"
}
}, - "toBeBilled": true,
- "toBePaid": true
}
], - "quantity": {
- "value": 0
}, - "attachment": {
- "content": {
- "value": "string",
- "mimeType": "string"
}, - "url": "string"
}, - "customerSpecificRequirements": "../dictionary"
}
], - "customerSpecificRequirements": "../dictionary"
}Response samples
- 200
{- "documentId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
[...]
